Skip to main content
Payment Methods

Get payee payment methods

This method requires the PayeePaymentMethods:Get permission to be associated with your role.

GET
/gl/payee/payment-methods
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
process_typeenum<string>queryrequired

Process type

Available options: item, claim, approval, payment, reg_ctp
payee_idstringquery

Payee Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
payment_method_idstringquery

Payment method Id

Maximum string length: 20
Pattern: ^[1-9]{1}[0-9]*$
status_flagenum<string>querydefault:active

Status flag

Available options: active, inactive
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1